Gracias Gracias:  5
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 2 12 ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 12

Tema: Se puede reinstalar Yast desde cero?

  1. #1
    Fecha de Ingreso
    15-enero-2019
    Ubicación
    Argentina
    Mensajes
    186
    Post Thanks / Like
    Poder de Credibilidad
    1

    Se puede reinstalar Yast desde cero?

    Hola gente, utilizo Tumbleweed actualizado a la fecha, y hace tiempo que las funciones del Yast me aparecen en idioma Ingles, pero con su contenido en español.

    Intenté resolver ese detalle jugando un poco con los paquetes de traducciones es_ES o es_AR (para mi país) sin resultados.
    Configuré las opciones del lenguaje y tampoco.

    Ya cansado... decidí reinstalar el Yast, eliminé todo el Yas2 junto a sus dependencias, para luego reinstalar desde cero.
    Como resultado... me encontré que todas sus opciones dejaron de funcionar, y no me deja acceder a casi nada




    Existe algún comando para purgar el Yast ?

    Sldos.

  2. #2
    Fecha de Ingreso
    16-noviembre-2010
    Ubicación
    Delante del ordenador
    Mensajes
    873
    Post Thanks / Like
    Poder de Credibilidad
    9
    Imagino que Ruby 2.6 está instalado, ¿verdad?

    Es lo único que se me ocurre por el mensaje de error (que supongo que ya habrás hecho).


    Saludos

  3. Gracias Tux83 ha agradecido este mensaje
  4. #3
    Fecha de Ingreso
    07-febrero-2007
    Ubicación
    Ourense
    Mensajes
    8.651
    Post Thanks / Like
    Poder de Credibilidad
    22
    Hola,

    YaST tiene su propio patrón de instalación. Puedes utilizarlo para actualizarlo, por ejemplo. Puedes hacerlo con zypper si no te funciona YaST.

    Salud!!

  5. Gracias Tux83, enae ha agradecido este mensaje
  6. #4
    Fecha de Ingreso
    16-agosto-2019
    Mensajes
    85
    Post Thanks / Like
    Poder de Credibilidad
    1
    Hola!
    Yo también me quedé con la duda de si era normal que Yast apareciera en spanglish. He instalado Opensuse en una máquina virtual para trastear.
    Con los paquetes de idioma no cambia nada. Luego, he eliminado todo (sudo zypper remove --clean-deps yast2) y como no se a que se refiere el compañero con un "patrón" y aprovechando que estoy en modo virtual, lo he reinstalado todo sin contemplaciones (sudo zypper in yast2*)...no lo hagas, hay muchas cosas no necesarias.
    Todo sigue igual, funciona pero sigue en spanglish.
    He visto por si quieres probar, que hay 2 dependencias que no pudo gestionarlas bien al reinstalar, concretamente:
    Código:
    ruby.2.6-rubygem-byebug
    ruby2.6-rubygem-gettext
    Igual son estos dos paquetes los que te faltan...yo lo reinstalé a mano, luego ya no se quejó.
    Sigo con la duda del por que el sistema esta super bien en español y Yast aparece así...
    Última edición por Jordi4321; 24-ago-2019 a las 16:12

  7. Gracias Tux83 ha agradecido este mensaje
  8. #5
    Fecha de Ingreso
    15-enero-2019
    Ubicación
    Argentina
    Mensajes
    186
    Post Thanks / Like
    Poder de Credibilidad
    1
    Hola!
    Yo instalé todo lo que había desinstalado, es decir, esto:

    augeas autoyast2-installation checkmedia iscsiuio libfont-specimen0 libjemalloc2 libldapcpp1 libmediacheck5 libopeniscsiusr0_2_0 libsamba-policy0-python3 libstorage-ng1 libstorage-ng-lang libstorage-ng-ruby libyui-ncurses-pkg10 open-iscsi patterns-kde-kde_yast patterns-yast-yast2_basis perl-Crypt-SmbHash perl-Digest-MD4 perl-Digest-SHA1 perl-Parse-RecDescent perl-X500-DN perl-XML-LibXML perl-XML-NamespaceSupport perl-XML-SAX perl-XML-SAX-Base perl-XML-SAX-Expat perl-XML-Simple perl-XML-XPath python3-ldb python3-tdb python3-tevent ruby ruby2.6-rubygem-abstract_method ruby2.6-rubygem-cfa ruby2.6-rubygem-cfa_grub2 ruby2.6-rubygem-cheetah ruby2.6-rubygem-fast_gettext ruby2.6-rubygem-ruby-augeas ruby2.6-rubygem-ruby-dbus ruby2.6-rubygem-simpleidn ruby2.6-rubygem-unf ruby2.6-rubygem-unf_ext ruby-solv samba-python3 unzip unzip-doc yast2 yast2-add-on yast2-alternatives yast2-apparmor yast2-auth-client yast2-auth-server yast2-bootloader yast2-control-center yast2-control-center-qt yast2-core yast2-country yast2-country-data yast2-firewall yast2-fonts yast2-hardware-detection yast2-installation yast2-iscsi-client yast2-journal yast2-ldap yast2-logs yast2-mail yast2-metapackage-handler yast2-network yast2-nfs-client yast2-nfs-common yast2-nis-client yast2-ntp-client yast2-online-update yast2-online-update-frontend yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-printer yast2-proxy yast2-python3-bindings yast2-ruby-bindings yast2-samba-client yast2-samba-server yast2-scanner yast2-security yast2-services-manager yast2-slp yast2-snapper yast2-sound yast2-storage-ng yast2-sudo yast2-support yast2-sysconfig yast2-tftp-server yast2-theme yast2-theme-breeze yast2-theme-oxygen yast2-trans-en yast2-trans-es yast2-transfer yast2-trans-stats yast2-tune yast2-update yast2-users yast2-vm yast2-vpn yast2-x11 yast2-xml yast2-ycp-ui-bindings yp-tools kde_yast yast2_basis

    Los últimos dos paquetes no existen en los repositorios actuales.
    El Yast se actualiza todo el tiempo en Tumbleweed y van cambiando sus paquetes constantemente. No pude encontrar el causante del error, pero prefiero formatear y listo.



    Sobre el idioma, lo que me molesta es que esta mitad en español y mitad en inglés.
    Pero si a ustedes también les pasa.. entonces me quedo tranquilo, ya que no es algo exclusivo mio.

    Acabo de realizar pruebas en máquinas virtuales con varias ISOs del Tumbleweed de distintas fechas. En la vieja, el Yast se veía completamente en español hasta que se actualizaba. Y la nueva ya viene fallada.
    En fin, hay que esperar alguna actualización que corrija eso.

    Me quedó claro que no hay que eliminar el Yast

    Cerrado, saludos.

  9. #6
    Fecha de Ingreso
    16-agosto-2019
    Mensajes
    85
    Post Thanks / Like
    Poder de Credibilidad
    1
    Hombre, es un poco extremo formatear para recuperar un programa no? Bueno, lo que veas mejor.
    Una cosa...este paquete "patterns-yast-yast2_basis", no es el patrón que indicaba el compañero más arriba? Y esto no instala ya todo lo mínimo para Yast2?
    Si miramos aquí: https://opensuse.pkgs.org/15.0/opens...86_64.rpm.html
    ya se ve como con las dependencias se instala casi todo lo necesario, luego si necesitas más módulos pues los instalas...no se, yo soy nuevo en Opensuse.
    Ya te digo, en la máquina virtual no hubo ni un problema en eliminar completamente Yast2 y reinstalarlo...
    El paquete "yast2_basis" suena parecido a "patterns-yast-yast2_basis", será lo mismo?
    Última edición por Jordi4321; 25-ago-2019 a las 08:33

  10. #7
    Fecha de Ingreso
    15-enero-2019
    Ubicación
    Argentina
    Mensajes
    186
    Post Thanks / Like
    Poder de Credibilidad
    1
    Ya formatié, pero no lo hice solo por el Yast.

    Sobre el patrón, desinstale el Yast y luego probé instalar ese paquete (en maquina virtual):

    sudo zypper in patterns-yast-yast2_basis
    [sudo] password for root:
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    Resolviendo dependencias de paquete...

    Problema: patterns-yast-yast2_basis-20190411-1.3.x86_64 requiere yast2-network, pero este requisito no se puede cumplir
    proveedores no instalables: yast2-network-4.2.11-1.1.noarch[repo-oss]
    Solución 1: Se realizarán las siguientes acciones:
    desinstalación de ruby2.5-2.5.3-2.1.x86_64
    desinstalación de yast2-branding-openSUSE-Oxygen-4.1.5-1.1.noarch
    desinstalación de ruby2.5-rubygem-cheetah-0.5.0-1.10.x86_64
    desinstalación de ruby2.5-rubygem-fast_gettext-1.8.0-1.1.x86_64
    desinstalación de ruby2.5-rubygem-gem2rpm-0.10.1-13.6.x86_64
    desinstalación de ruby2.5-rubygem-ruby-augeas-0.5.0-3.9.x86_64
    desinstalación de ruby2.5-rubygem-ruby-dbus-0.15.0-1.1.x86_64
    desinstalación de ruby2.5-rubygem-simpleidn-0.1.1-1.1.x86_64
    desinstalación de ruby2.5-rubygem-unf-0.1.4-1.9.x86_64
    desinstalación de ruby2.5-rubygem-unf_ext-0.0.7.5-1.2.x86_64
    desinstalación de ruby2.5-stdlib-2.5.3-2.1.x86_64
    Solución 2: no instalar patterns-yast-yast2_basis-20190411-1.3.x86_64
    Solución 3: romper patterns-yast-yast2_basis-20190411-1.3.x86_64 ignorando algunas de sus dependencias

    Elija las soluciones usando '1' o cancele usando 'c' [1/2/3/c] (c):


    Lo instalé pero no aparece en el menú de programas, creo que ese basis es el Yast que se ejecuta por consola.
    Intenté instalar el Yast2, pero me dio error critico y se cerró la maquina virtual, jajaja.

    Yast no es un simple programa, es un software creado por la distribución que se fusiona con el sistema operativo.

    Seguramente en la versión Leap tenga mejores resultados, ya que no se actualiza todo el tiempo.

    No quiero perder mas tiempo con este tema, les agradezco la ayuda!

    Sldos.

  11. #8
    Fecha de Ingreso
    02-marzo-2013
    Ubicación
    Lat. 27.994547-Lon -15.405127-160m nivel del mar
    Mensajes
    4.928
    Post Thanks / Like
    Poder de Credibilidad
    11
    Hola:

    Poder si se puede, pero también; si se carece de conocimientos, se pueden crear problemas.

    El fallo, debería comunicarse ( creo que es un despiste, o bien de openQA o de factory, ya ha pasado con otros idiomas) .

    El programa está en español, pero el nombre o titulo, está en ingles.

    Cuando se habla de yast, es como hablar de la esencia de esta distro; yast centraliza de una forma sencilla la configuración y el control del S.O. .

    El lenguaje de programación es en ruby y este, no solo contiene el programa de la aplicación, si no, sus módulos; he traducido alguno de ellos sin contar con su lib y programación y empieza así :

    1º importa los módulos , 2º se genera el programa en si y 3º se declaran las variables (los módulos pueden ser programas en ruby o sub-rutinas en ese mismo lenguaje) .

    Si siguiera la normativa general, los nombres estarían en /usr/share/aplications/yast2 ; pero aunque sus ficheros tienen el nombre en ingles, en la versión que pruebo, está en español, por lo que eso no lo define.

    Vayamos a la parte de ruby en /usr/share/yast2, en los módulos, etc... y buscamos (sabiendo que yast2 usa traducciones ) zypper se -si yast2-trans-* y nos da :

    Código:
    z87-delux:~ # zypper se -si yast2-trans-*
    
    Reading installed packages...
    
    S  | Name              | Type    | Version                     | Arch   | Repository            
    ---+-------------------+---------+-----------------------------+--------+-----------------------
    i+ | yast2-trans-es    | package | 84.87.20170719.20cc14dd-1.1 | noarch | openSUSE-Leap-42.3-Oss
    i  | yast2-trans-stats | package | 2.19.0-20.6                 | noarch | openSUSE-Leap-42.3-Oss
    El +i es el idioma que está instalado : yast2-trans-es , por lo cual es correcto (ya que el programa está en español y no lo está los títulos ) .

    Por lo que creo que la causa, pueda estar en algo general, o bien en la base donde se cambia los nombres de la aplicación.

    No creo que influya esto, aunque esté en yast2 :



    Aunque tampoco hice la prueba ( a pesar de eso, sigo creyendo que sea un despiste por su parte, ya había pasado en frances,español e italiano, ademas de cargar a veces en las actualizaciones, algúnas modificaciones del perfil.

    Observaciones, se comprueba los módulos de ruby del lenguaje (de la versión correcta) y se observa que por defecto el idioma es en-us, ya en el programa se elige el 1º y el idioma .
    secundario.

    Ahora por probar que no quede, reinstalar de nuevo yast2-trans-es y algún otro implicado .

    También estoy de acuerdo, en no desinstalar yast2, ya que es una parte esencial de SUSE y openSUSE y derivados, idem lo mismo con el lenguaje de programación (eso no creo que tenga nada que ver con lo del idioma) .

    Saludos cordiales

  12. #9
    Fecha de Ingreso
    15-enero-2019
    Ubicación
    Argentina
    Mensajes
    186
    Post Thanks / Like
    Poder de Credibilidad
    1
    Vayamos a la parte de ruby en /usr/share/yast2, en los módulos, etc... y buscamos (sabiendo que yast2 usa traducciones ) zypper se -si yast2-trans-* y nos da :
    Hola mikrios, en Tumbleweed recién instalado me da:

    Código:
    ~> zypper se -si yast2-trans-*
    Cargando datos del repositorio...
    Leyendo los paquetes instalados...
    
    E | Nombre            | Tipo    | Versión                       | Arquitectura | Repositorio            
    --+-------------------+---------+-------------------------------+--------------+------------------------
    i | yast2-trans-en    | paquete | 84.87.20190811.da547f2b17-1.1 | noarch       | openSUSE-Tumbleweed-Oss
    i | yast2-trans-es    | paquete | 84.87.20190811.da547f2b17-1.1 | noarch       | openSUSE-Tumbleweed-Oss
    i | yast2-trans-es    | paquete | 84.87.20190811.da547f2b17-1.1 | noarch       | openSUSE-Tumbleweed-Oss
    i | yast2-trans-stats | paquete | 2.19.0-17.15                  | noarch       | openSUSE-Tumbleweed-Oss
    No sale el i+ , y la traducción "es" figura repetida.
    Ya anteriormente probé reinstalar ese paquete, eliminar el idioma "en" y todas las combinaciones posibles, sin resultados.
    Ahora no quiero tocar mas nada, prefiero esperar a que alguna actualización lo resuelva.

    La variable efectivamente lo tengo como "es_ES", igual creo que eso afecta a todo el sistema.

    Sldos.

  13. #10
    Fecha de Ingreso
    28-junio-2013
    Mensajes
    7
    Post Thanks / Like
    Poder de Credibilidad
    0
    Parece que es un bug. Yo en Tumbleweed, también tengo el menú principal en ingles.

    https://bugzilla.opensuse.org/show_bug.cgi?id=1145197

    Un saludo.

  14. Gracias Tux83 ha agradecido este mensaje

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Temas Similares

  1. Mi Plasma desde cero
    By karlggest in forum El Contubernio
    Respuestas: 13
    Último mensaje: 11-feb-2018, 08:27
  2. Crear un arranque desde cero.
    By Meta in forum Programación y Scripts
    Respuestas: 4
    Último mensaje: 23-dic-2008, 10:45
  3. Instalacion de postfix!! desde cero
    By yj007 in forum Software
    Respuestas: 0
    Último mensaje: 22-sep-2008, 09:08
  4. Empezar con Linux desde cero
    By bat in forum Instalación y Actualizaciones
    Respuestas: 0
    Último mensaje: 18-mar-2007, 13:04
  5. Novato: Partir Desde Cero...
    By tamasma in forum General OpenSUSE
    Respuestas: 7
    Último mensaje: 06-may-2006, 08:47

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •